package pp.model;

public class ObjectProperty {
	
	//Variables::
	private boolean movable;
	private boolean hasCollision;
	private boolean hasTrigger;
	private boolean verticalCharacterMovable;
	private boolean hasImage;
	private int mX,mY,mSpeed;
	private int movevementEventID;
	private int triggerID;
	private int imageID;
	
	//Constructor::
	public ObjectProperty(){
		
	}
	
	public String toString(){
		String ret="";
		ret+="Is movable: "+movable+"\n";
		ret+="Has collision: "+hasCollision+"\n";
		ret+="Verical movement: "+verticalCharacterMovable+"\n";
		ret+="Has Trigger: "+hasTrigger+"\n";
		ret+="Has image: "+hasImage+"\n";
		ret+="X: "+mX+" , Y: "+mY+" , Speed: "+mSpeed+"\n";
		ret+="Event ID: "+movevementEventID+"\n";
		ret+="Trigger ID: "+triggerID+"\n";
		ret+="Image ID: "+imageID+"\n";
		return ret;
		
	}
	
	//Getters and setters::
	public void setVariablesFromObjectProperty(ObjectProperty obj){		
		movable=obj.isMovable();
		hasCollision=obj.isHasCollision();
		hasTrigger=obj.isHasTrigger();
		verticalCharacterMovable=obj.isVerticalCharacterMovable();
		hasImage=obj.isHasImage();
		mX=obj.getMX();mY=obj.getMY();mSpeed=obj.getMSpeed();
		movevementEventID=obj.getMovevementEventID();
		triggerID=obj.getTriggerID();
		imageID=obj.getImageID();
	}
	
	public boolean isHasCollision() {
		return hasCollision;
	}

	public void setHasCollision(boolean hasCollision) {
		this.hasCollision = hasCollision;
	}

	public boolean isHasTrigger() {
		return hasTrigger;
	}

	public void setHasTrigger(boolean hasTrigger) {
		this.hasTrigger = hasTrigger;
	}

	public boolean isMovable() {
		return movable;
	}

	public void setMovable(boolean movable) {
		this.movable = movable;
	}

	public int getMovevementEventID() {
		return movevementEventID;
	}

	public void setMovevementEventID(int movevementEventID) {
		this.movevementEventID = movevementEventID;
	}

	public int getMSpeed() {
		return mSpeed;
	}

	public void setMSpeed(int speed) {
		mSpeed = speed;
	}

	public int getMX() {
		return mX;
	}

	public void setMX(int mx) {
		mX = mx;
	}

	public int getMY() {
		return mY;
	}

	public void setMY(int my) {
		mY = my;
	}

	public int getTriggerID() {
		return triggerID;
	}

	public void setTriggerID(int triggerID) {
		this.triggerID = triggerID;
	}

	public boolean isVerticalCharacterMovable() {
		return verticalCharacterMovable;
	}

	public void setVerticalCharacterMovable(boolean verticalCharacterMovable) {
		this.verticalCharacterMovable = verticalCharacterMovable;
	}

	public int getImageID() {
		return imageID;
	}

	public void setImageID(int imageID) {
		this.imageID = imageID;
	}

	public boolean isHasImage() {
		return hasImage;
	}

	public void setHasImage(boolean hasImage) {
		this.hasImage = hasImage;
	}	
}
