package pp.model;

import javax.microedition.lcdui.Image;
import pp.model.event.PPEventListener;

public abstract class PPObject implements PPEventListener{
	
	//Variables::
	private Vector2D vPos;
	private PPObjectSprite objectSprite;
	private ObjectProperty properties;
	
	//Constructors::
	public PPObject(Vector2D v,Image objSpr,ObjectProperty objProp){
		vPos=v;
		properties=objProp;
		
		//Initialize objectSprite::
		objectSprite=new PPObjectSprite(objSpr,vPos.x,vPos.y);
	}
	
	//Returns sprite::
	public PPObjectSprite getObjectSprite(){
		return objectSprite;
	}
	
	/*
	 * Getters and setters:
	 */
	public ObjectProperty getObjectProperty(){
		return properties;
	}
	public Vector2D getVPos() {
		return vPos;
	}
	public void setVPos(Vector2D pos) {
		vPos = pos;
	}

}
