package pps.model;

public class Vector2D {
	
	//variables::
	public int x;
	public int y;
	
	//Constructors::
	public Vector2D(int xx,int yy){
		x=xx;
		y=yy;
	}
	public Vector2D(Vector2D v){
		setVector(v);
	}
	
	//Adds a vector to this vector V= V + V1::
	public void addVector(Vector2D v){
		x+=v.x;
		y+=v.y;
	}
	//Adds the values of x and y to the vector::
	public void addVectorValues(int x,int y){
		this.x+=x;
		this.y+=y;
	}
	//Sets this vector to the vector v::
	public void setVector(Vector2D v){
		x=v.x;
		y=v.y;
	}
	//Sets the values of this vecto to x and y::
	public void setVectorValues(int x,int y){
		this.x=x;
		this.y=y;
	}
	//Multiply det vector with a scalar::
	public void multiplyScalar(int s){
		x*=s;
		y*=s;
	}
	//Returns the dot product between this vector and the v vector::
	public int dotProduct(Vector2D v){
		return x*v.x+y*v.y;
	}
	//Returns the length of the vector::
	public double length(){
		return Math.sqrt(x*x+y*y);
	}
	
	//toString()::
	public String toString(){
		return "X: "+x+",Y: "+y;
	}
	
}
